Skip to content

Retrieve all users with SCIM.

GET/api/{version}/scim/v2/Users
NameDescription
Acceptapplication/json (default) or application/scim+json
NameDescription
filterOptional: Filter for a specific attribute value. Must be in the format {attribute} eq "{value}". For example, to filter for a particular user name, userName eq "john". Complex expressions are not supported, and eq is the only supported operator.
attributesOptional: Include specified attributes only. Enter multiple values in a comma separated list. For example, to include only user name and email in the response, attributes=userName,emails. Note that the schemas and id attributes are always returned.
excludedAttributesOptional: Exclude specific attributes from the response. Enter multiple values in a comma separated list. For example, to exclude user name and email from the response, excludedAttributes=userName,emails. Note that the schemas and id attributes are always returned and cannot be excluded.
sortByOptional: Specify an attribute or sub-attribute to order the response. For example, you can sort by the displayName attribute, or the name.familyName sub-attribute. If omitted, the response is sorted by id. Note that the following attributes are not supported:
  • securityPolicy
  • securityProfile
  • locale
  • preferredLanguage
sortOrderOptional: Specify the order in which the sortBy parameter is applied. Allowed values are ascending or descending. If omitted, defaults to ascending.
countOptional: Specify the number of query results per page, for example, 10. Negative values are treated as 0, and 0 returns no results except for totalResults. If omitted, defaults to 1000.
startIndexOptional: Specify the index of the first result. For example, 10 would omit the first 9 results and begin on result 10. Omission, negative values, and 0 is treated as 1.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://veepharm.com/api/v26.1/scim/v2/Users
{ "schemas": [ "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User", "urn:ietf:params:scim:schemas:core:2.0:User", "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User" ], "id": "100084", "meta": { "created": "2018-01-24T21:28:47.000Z", "lastModified": "2018-05-22T04:51:21.000Z", "resourceType": "User", "location": "https://veepharm.com/api/v26.1/scim/v2/Users/100084" }, "active": true, "displayName": "Kimathi Gills", "emails": [ { "value": "kg@veepharm.com", "type": "work" } ], "locale": "en_US", "name": { "familyName": "Gills", "givenName": "Kimathi" }, "preferredLanguage": "en", "timezone": "America/Los_Angeles", "userName": "kimathi@veepharm.com", "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User": { "createdBy": { "$ref": "https://veepharm.com/api/v26.1/scim/v2/Users/1", "value": "1" }, "domainAdmin": false, "favoriteDocNewComment": false, "favoriteDocNewContent": false, "favoriteDocNewStatus": false, "lastLogin": "2018-01-26T19:13:20.000Z", "lastModifiedBy": { "$ref": "https://veepharm.com/api/v26.1/scim/v2/Users/1", "value": "1" }, "licenseType": { "$ref": "https://veepharm.com/api/v26.1/scim/v2/LicenseTypes/full__v", "value": "full__v" }, "lifecycle": "vault_membership_lifecycle__sys", "lifecycleState": "active_state__sys", "productAnnouncementEmails": false, "securityPolicy": { "$ref": "https://veepharm.com/api/v26.1/scim/v2/SecurityPolicies/2525", "value": "2525" }, "securityProfile": { "value": "business_admin__v", "$ref": "https://veepharm.com/api/v26.1/scim/v2/SecurityProfiles/business_admin__v" }, "systemAvailabilityEmails": false }, "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": { "manager": "61603" } }